# TTreeTransform::TRotation Class Reference

Inheritance diagram for TTreeTransform::TRotation:

List of all members.

## Public Types
enum | EMaster { kEuler, kMatrix }
## Public Member Functions
| TRotation (EEulerAnglesOrder order=kXYZOrder, EMaster master=kMatrix)
| TRotation (const TMatrix33 &matrix)
EMaster | GetMaster () const
void | SetEulerOrder (EEulerAnglesOrder order)
EEulerAnglesOrder | GetEulerOrder () const
void | ConvertEulerOrder (EEulerAnglesOrder order)
void | SetMatrix (const TMatrix33 &matrix)
void | SetMatrix (const TVector3 &i, const TVector3 &j, const TVector3 &k)
void | SetEuler (const TVector3 &euler, boolean mirror)
const TMatrix33 & | GetMatrix () const
const TVector3 & | GetEuler () const
boolean | GetMirror () const
void | SetToIdentity ()
TRotation | GetTranspose () const
boolean | IsIdentity () const
boolean | IsDirect () const
boolean | operator== (const TRotation &rotation) const
boolean | operator!= (const TRotation &rotation) const
void | SetPhyThetaPsy (real phy, real theta, real psy, boolean isDirect)
void | GetPhyThetaPsy (real &phy, real &theta, real &psy, boolean &isDirect) const
void | Multiply (const TMatrix33 &matrix, const TRotation &rotation)
void | Multiply (const TRotation &rotation, const TMatrix33 &matrix)
void | Multiply (const TRotation &rotation1, const TRotation &rotation2)
void | RecomputeEulerAngles (const TVector3 &refEuler)
void | GetNewEulerAngles (const TVector3 &refEuler, TVector3 &newEulerAngles) const
## Protected Member Functions
void | ValidateMatrix () const
void | ValidateEuler () const
## Protected Attributes
int8 | fEulerOrder
int8 | fMaster
TMatrix33 | fMatrix
TVector3 | fEuler
boolean | fIsMatrixValid:1
boolean | fIsEulerValid:1
boolean | fMirror:1

## Member Enumeration Documentation

enum TTreeTransform::TRotation::EMaster

Enumerator:

  kEuler |
  kMatrix |

## Constructor & Destructor Documentation

TTreeTransform::TRotation::TRotation | ( | EEulerAnglesOrder | order = `kXYZOrder`,
|  | EMaster | master = `kMatrix` |
| ) |  |  |

TTreeTransform::TRotation::TRotation | ( | const TMatrix33 & | matrix | ) | `[explicit]`

## Member Function Documentation

void TTreeTransform::TRotation::ConvertEulerOrder | ( | EEulerAnglesOrder | order | ) |

const TVector3& TTreeTransform::TRotation::GetEuler | ( |  | ) | const

EEulerAnglesOrder TTreeTransform::TRotation::GetEulerOrder | ( |  | ) | const`[inline]`

EMaster TTreeTransform::TRotation::GetMaster | ( |  | ) | const`[inline]`

const TMatrix33& TTreeTransform::TRotation::GetMatrix | ( |  | ) | const

boolean TTreeTransform::TRotation::GetMirror | ( |  | ) | const

void TTreeTransform::TRotation::GetNewEulerAngles | ( | const TVector3 & | refEuler,
|  | TVector3 & | newEulerAngles |
| ) |  |  | const

void TTreeTransform::TRotation::GetPhyThetaPsy | ( | real & | phy,
|  | real & | theta,
|  | real & | psy,
|  | boolean & | isDirect |
| ) |  |  | const

TRotation TTreeTransform::TRotation::GetTranspose | ( |  | ) | const

boolean TTreeTransform::TRotation::IsDirect | ( |  | ) | const

boolean TTreeTransform::TRotation::IsIdentity | ( |  | ) | const

void TTreeTransform::TRotation::Multiply | ( | const TRotation & | rotation1,
|  | const TRotation & | rotation2 |
| ) |  |  |

void TTreeTransform::TRotation::Multiply | ( | const TRotation & | rotation,
|  | const TMatrix33 & | matrix |
| ) |  |  |

void TTreeTransform::TRotation::Multiply | ( | const TMatrix33 & | matrix,
|  | const TRotation & | rotation |
| ) |  |  |

boolean TTreeTransform::TRotation::operator!= | ( | const TRotation & | rotation | ) | const`[inline]`

boolean TTreeTransform::TRotation::operator== | ( | const TRotation & | rotation | ) | const

void TTreeTransform::TRotation::RecomputeEulerAngles | ( | const TVector3 & | refEuler | ) |

void TTreeTransform::TRotation::SetEuler | ( | const TVector3 & | euler,
|  | boolean | mirror |
| ) |  |  |

void TTreeTransform::TRotation::SetEulerOrder | ( | EEulerAnglesOrder | order | ) | `[inline]`

void TTreeTransform::TRotation::SetMatrix | ( | const TVector3 & | i,
|  | const TVector3 & | j,
|  | const TVector3 & | k |
| ) |  |  |

void TTreeTransform::TRotation::SetMatrix | ( | const TMatrix33 & | matrix | ) |

void TTreeTransform::TRotation::SetPhyThetaPsy | ( | real | phy,
|  | real | theta,
|  | real | psy,
|  | boolean | isDirect |
| ) |  |  |

void TTreeTransform::TRotation::SetToIdentity | ( |  | ) |

void TTreeTransform::TRotation::ValidateEuler | ( |  | ) | const`[protected]`

void TTreeTransform::TRotation::ValidateMatrix | ( |  | ) | const`[protected]`

## Member Data Documentation

TVector3 TTreeTransform::TRotation::fEuler`[mutable, protected]`

int8 TTreeTransform::TRotation::fEulerOrder`[protected]`

boolean TTreeTransform::TRotation::fIsEulerValid`[mutable, protected]`

boolean TTreeTransform::TRotation::fIsMatrixValid`[mutable, protected]`

int8 TTreeTransform::TRotation::fMaster`[protected]`

TMatrix33 TTreeTransform::TRotation::fMatrix`[mutable, protected]`

boolean TTreeTransform::TRotation::fMirror`[mutable, protected]`

The documentation for this class was generated from the following file:

- Transforms.h